package com.bonus.canteen.core.menu.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.bonus.canteen.core.menu.dto.CheckDishesDto;
import com.bonus.canteen.core.menu.dto.OrderRecipeDishesDto;
import com.bonus.canteen.core.menu.entity.MenuRecipeDishes;
import com.bonus.canteen.core.menu.vo.CheckDishesVo;

import java.time.LocalDate;
import java.util.Collection;
import java.util.List;
import java.util.Map;
import java.util.Set;

public interface MenuRecipeDishesService extends IService<MenuRecipeDishes> {
   @Override
   boolean saveBatch(Collection<MenuRecipeDishes> entityList);

   OrderRecipeDishesDto getOrderDishesDetail(Long detailId, Long dishesId);

   List<CheckDishesVo> checkDishes(List<CheckDishesDto> checkDishes, Integer orderType);

   Boolean deleteByDetailId(Long detailId);

   Map<LocalDate, Set<Integer>> queryDishesByDate(List<LocalDate> dates, Long recipeId, Long dishesId);

   Map<Long, Integer> getDishesCountByRecipeIds(List<Long> recipeIds);

}
